import time
from nna import *

dm = DM(0x15)
ps = Sensor(0.0733, 'mm Hg')
dm.addSensor(6, ps)
atm = BMP180()
tbeg = time.time()

with open('log', 'w') as f:
  while True:
    dm.update()
    dt = int(time.time() - tbeg)
    s = '% 6d 0x%04x % 2.3f %3.1f'%(dt, ps.c, ps.v, atm.p) 
    print s
    f.write(s + '\n')
    f.flush()
    time.sleep(10)

